aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-git_lfs.sh
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2022-04-27 14:52:13 +0300
committerVille-Pekka Karhu <ville-pekka.karhu@qt.io>2022-08-23 07:56:38 +0300
commit73234745bb2b39aeafc1e23f2fde89d2008ca08c (patch)
tree807197dff02bcbeb4a6e37678d3f1d0eb559662e /coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-git_lfs.sh
parent5af40232de640c27e18f218cd06a5514885bd9d1 (diff)
Add Ubuntu 22.04 to Nightly CI
Targets will be non-blocking and only in nightly run for now Task-number: QTQAINFRA-4926 Change-Id: I7b229c1ccc34da4f1843dac3c25e19f7df819489 Reviewed-by: Toni Saario <toni.saario@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-git_lfs.sh')
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-git_lfs.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-git_lfs.sh b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-git_lfs.sh
new file mode 100755
index 00000000..ad80bc23
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-git_lfs.sh
@@ -0,0 +1,49 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Install Git Large File Storage
+
+set -ex
+
+curl -L https://packagecloud.io/github/git-lfs/gpgkey | sudo apt-key add -
+sudo apt-add-repository 'deb https://packagecloud.io/github/git-lfs/ubuntu/ xenial main'
+sudo apt update
+sudo apt install git-lfs